# Textadept

## Overview

Textadept is a fast, minimalist, and ridiculously extensible cross-platform text
editor for programmers. Written in a combination of C and [Lua][] and
relentlessly optimized for speed and minimalism over the years, Textadept is an
ideal editor for programmers who want endless extensibility without sacrificing
speed or succumbing to code bloat and featuritis.

[Lua]: http://lua.org

## Features

* Self-contained executable -- no installation necessary.
* Entirely keyboard driven.
* Unlimited split views (GUI version).
* Support for over 80 programming languages.
* Powerful snippets and key commands.
* Code autocompletion and API lookup.
* Unparalleled extensibility.
* Terminal (ncurses) version.

## Requirements

In its bid for minimalism, Textadept has no dependencies on Windows and Mac OSX
operating systems and depends only on [GTK+ 2.0][] version 2.18 or greater on
Linux. Lua is pre-compiled into Textadept on all platforms and a GTK+ runtime is
included on Windows and Mac OSX.

The terminal version of Textadept requires only [ncurses][].

[GTK+ 2.0]: http://gtk.org
[ncurses]: http://invisible-island.net/ncurses/ncurses.html

## Download

Download Textadept from the project's [download page][].

[download page]: http://foicica.com/textadept/download

## Installation and Usage

Textadept comes with a comprehensive manual and API documentation in the *doc/*
directory. They are also available [online][].

[online]: http://foicica.com/textadept

## Contact

Contact me by email: mitchell.att.foicica.com.

There is also a [mailing list][].

[mailing list]: http://foicica.com/lists
